Loading...
Searching...
No Matches
webcam::Webcam::SettingsChangedEvent Struct Reference

This event is emitted after the settings of a webcam were changed. More...

`import <Webcam.idl;`

Inheritance diagram for webcam::Webcam::SettingsChangedEvent:

## Public Attributes

Settings | oldSettings
| the old settings
Settings | newSettings
| the new settings
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This event is emitted after the settings of a webcam were changed.

Definition at line 96 of file Webcam.idl.

## Member Data Documentation

## newSettings

Settings webcam::Webcam::SettingsChangedEvent::newSettings

the new settings

Definition at line 98 of file Webcam.idl.

## oldSettings

Settings webcam::Webcam::SettingsChangedEvent::oldSettings

the old settings

Definition at line 97 of file Webcam.idl.

The documentation for this struct was generated from the following file:

- Webcam.idl